Issue #10196 has been updated by Hiroshi SHIBATA.

Status changed from Open to Closed

----------------------------------------
Bug #10196: rdoc should not depend on gems
https://bugs.ruby-lang.org/issues/10196#change-55929

* Author: Luiz Angelo Daros de Luca
* Status: Closed
* Priority: Normal
* Assignee: 
* ruby -v: ruby 2.1.2p95 (2014-05-08 revision 45877) [i486-linux-gnu]
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN
----------------------------------------
Hello,

It seems in rdoc code that it can run without gems.

However, at some places, it explicitly cites gem or Gem without dealing with
the exception. Also, it requires "rubygems", which might be useless since
gem_prelude does that.

I created a patch to remove the extra 'require "rubygems"' and treat the gem "xxx"
exception just like /usr/bin/rdoc does

---Files--------------------------------
001-rdoc-remove_gems_dep.patch (908 Bytes)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>